""" Migrations
"""

# Generated by Django 3.2 on 2021-12-08 19:18

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    """Migration"""

    initial = True

    dependencies = [
        ("core_main_app", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="DataStructure",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("user", models.CharField(blank=True, max_length=200)),
                ("name", models.CharField(max_length=200)),
                ("creation_date", models.DateTimeField(auto_now_add=True)),
            ],
        ),
        migrations.CreateModel(
            name="Module",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=200, unique=True)),
                ("url", models.CharField(max_length=200, unique=True)),
                ("view", models.CharField(max_length=200)),
                ("multiple", models.BooleanField(default=False)),
            ],
        ),
        migrations.CreateModel(
            name="DataStructureElement",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "user",
                    models.CharField(blank=True, max_length=200, null=True),
                ),
                ("tag", models.CharField(max_length=200)),
                ("value", models.TextField(blank=True, null=True)),
                ("creation_date", models.DateTimeField(auto_now_add=True)),
                ("options", models.JSONField(blank=True, default=dict)),
                (
                    "data_structure",
                    models.ForeignKey(
                        blank=True,
                        default=None,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        to="core_parser_app.datastructure",
                    ),
                ),
                (
                    "parent",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="children",
                        to="core_parser_app.datastructureelement",
                    ),
                ),
            ],
        ),
        migrations.AddField(
            model_name="datastructure",
            name="data_structure_element_root",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to="core_parser_app.datastructureelement",
            ),
        ),
        migrations.AddField(
            model_name="datastructure",
            name="template",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to="core_main_app.template",
            ),
        ),
        migrations.AlterUniqueTogether(
            name="datastructure",
            unique_together={("user", "template", "name")},
        ),
    ]
